﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirBomber
{
    internal class EntityAirBomber : EntityAirplane
    {
        /// <summary>
        /// Дополнительный цвет
        /// </summary>
        public Color DopColor { get; private set; }
        /// <summary>
        /// Признак наличия бомб
        /// </summary>
        public bool HasBombs { get; private set; }
        /// <summary>
        ///  Признак наличия топливных баков
        /// </summary>
        public bool HasFuelTanks { get; private set; }
        /// <summary>
        /// Инициализация свойств
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес автомобиля</param>
        /// <param name="bodyColor">Цвет кузова</param>
        /// <param name="dopColor">Дополнительный цвет</param>
        /// <param name="hasBombs">Признак наличия бомб</param>
        /// <param name="hasFuelTanks">Признак наличия топливных баков</param>
        public EntityAirBomber(int speed, float weight, Color bodyColor, Color dopColor, bool hasBombs, bool hasFuelTanks) :
            base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            HasBombs = hasBombs;
            HasFuelTanks = hasFuelTanks;
        }
    }
}
